# Uses of Interface
org.apache.qpid.proton.engine.Connection

Packages that use Connection
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Connection in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return Connection
Modifier and Type
Method
Description
`static Connection`
Proton.`connection()`

## Uses of Connection in org.apache.qpid.proton.engine

Subinterfaces of Connection in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`ProtonJConnection`
Extends `Connection` with functionality that is specific to proton-j
Methods in org.apache.qpid.proton.engine that return Connection
Modifier and Type
Method
Description
`static Connection`
Engine.`connection()`
`static Connection`
Connection.Factory.`create()`
`Connection`
Event.`getConnection()`
`Connection`
Session.`getConnection()`
Methods in org.apache.qpid.proton.engine with parameters of type Connection
Modifier and Type
Method
Description
`void`
Transport.`bind(Connection connection)`

## Uses of Connection in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement Connection
Modifier and Type
Class
Description
`class`
`ConnectionImpl`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Connection
Modifier and Type
Method
Description
`void`
TransportImpl.`bind(Connection conn)`

## Uses of Connection in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return Connection
Modifier and Type
Method
Description
`Connection`
Reactor.`connection(Handler handler)`
Deprecated.
Use `Reactor.connectionToHost(String, int, Handler)` instead.
`Connection`
Reactor.`connectionToHost(String host, int port, Handler handler)`
Creates a new out-bound connection to the given host and port.
Methods in org.apache.qpid.proton.reactor with parameters of type Connection
Modifier and Type
Method
Description
`String`
Reactor.`getConnectionAddress(Connection c)`
Get the address used by the connection
`void`
Reactor.`setConnectionHost(Connection c, String host, int port)`
Set the host address used by the connection

## Uses of Connection in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl that return Connection
Modifier and Type
Method
Description
`Connection`
ReactorImpl.`connection(Handler handler)`
`Connection`
ReactorImpl.`connectionToHost(String host, int port, Handler handler)`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Connection
Modifier and Type
Method
Description
`String`
ReactorImpl.`getConnectionAddress(Connection connection)`
`void`
ReactorImpl.`setConnectionHost(Connection connection, String host, int port)`